# Class: oShape

## $. oShape

$.oShape represents shapes drawn on the art layer. Strokes, colors, line styles, can be accessed through this class.
Warning, Toonboom stores strokes by index, so stroke objects may become obsolete when modifying the contents of the drawing.

#### new $.oShape(index, oArtLayerObject)

openHarmony/openHarmony_drawing.js, line 487
  The constructor for the $.oShape class.

  Name | Type | Description
  --- | --- | ---
  `index` | int | The artLayerIndex (0: underlay, 1: line art, 2: color art, 3:overlay).
  `oArtLayerObject` | $.oArtLayer | The oArtLayer this layer belongs to.

### Members

#### selectedArray.<$.oShape>

  WIP Set and retrieve the selected status of each shape.

#### strokesArray.<$.oShape>

  The strokes making up the shape.